%global shortname parent
%global resteasy_ver_min 3.0.6
%define resteasy_ver %(rpm -q --qf "%%{version}" resteasy-client)

Name:           zanata-%{shortname}
Version:        28
Release:        3%{?dist}
Summary:        The Project Object Model(pom) files for the Zanata packages

Group:          Development/Libraries
License:        LGPLv2
URL:            https://github.com/zanata/%{name}
Source0:        https://github.com/zanata/%{name}/archive/%{name}-%{version}.zip

BuildArch:      noarch

BuildRequires:  maven-local

BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)
BuildRequires:  mvn(org.slf4j:jcl-over-slf4j)

Requires:       jpackage-utils

Requires:  mvn(org.slf4j:slf4j-log4j12)

%description
The Project Object Model(pom) files for the Zanata packages.

%prep
%setup -q -n %{name}-%{name}-%{version}
# disable some plugins that are not in fedora and not relevant in fedora packaging 
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :duplicate-finder-maven-plugin
%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin :gitdescribe-maven-plugin
%pom_remove_plugin :maven-antrun-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-dependency-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-sortpom-plugin
%pom_remove_plugin :versions-maven-plugin
%pom_remove_dep org.jboss.resteasy:resteasy-bom

# we have to remove wagon-webdav-jackrabbit until jackrabbit is available
%pom_xpath_remove "pom:build/pom:extensions"

# For RHEL, we cannot really fix this until Bug 1280539 is fixed
#%pom_xpath_set "pom:properties/pom:resteasy.version" "%{resteasy_ver_min}.Final"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt COPYING.LESSER COPYING.GPL

%changelog
* Tue Aug 02 2016 Ding-Yi Chen <dchen@redhat.com> 28-3
- Use resteasy client instead of resteasy

* Mon May 23 2016 Ding-Yi Chen <dchen@redhat.com> 28-2
- Clean up spec file.

* Thu May 19 2016 Ding-Yi Chen <dchen@redhat.com> 28-1
- Upgrade to upstream version 28

* Mon Apr 18 2016 Ding-Yi Chen <dchen@redhat.com> 27-1
- Upgrade to upstream version 27

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 Ding-Yi Chen <dchen@redhat.com> - 25-2
- The resteasy.version is 3.0.6.Final

* Thu Nov 12 2015 Ding-Yi Chen <dchen@redhat.com> - 25-1
- Upstream update to 25.
- RHEL uses resteasy-base-resteasy-pom instead.

* Tue Oct 20 2015 Ding-Yi Chen <dchen@redhat.com> - 24-2
- Use capability of slf4j-log4j12 instead.

* Wed Jun 24 2015 Ding-Yi Chen <dchen@redhat.com> 24-1
- Upstream update to 24

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jan 28 2015 Ding-Yi Chen <dchen@redhat.com> 20-2
- Fixed the Fedora 20 build by removing slf4j-log4j12

* Tue Jan 27 2015 Ding-Yi Chen <dchen@redhat.com> 20-1
- Upstream update to 20

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 30 2014 Patrick Huang <pahuang@redhat.com> - 19-1
- Latest upstream version

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 16-3
- Use Requires: java-headless rebuild (#1067528)

* Thu Jan 16 2014 Patrick Huang <pahuang@redhat.com> 16-2
- Add require resteasy

* Thu Jan 09 2014 Patrick Huang <pahuang@redhat.com> 16-1
- Latest upstream version

* Thu Aug 22 2013 Patrick Huang <pahuang@redhat.com> 13-1
- Latest upstream version

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr 29 2013 Patrick Huang <pahuang@redhat.com> 12-1
- latest upstream version

* Tue Mar 19 2013 Patrick Huang <pahuang@redhat.com> 11-3
- change according to new java packaging guideline

* Tue Mar 12 2013 Patrick Huang <pahuang@redhat.com> 11-2
- disable a few plugins that are not relevant in fedora packaging

* Wed Mar 6 2013 Patrick Huang <pahuang@redhat.com> 11-1
- upstream version upgrade

* Wed Mar 6 2013 Patrick Huang <pahuang@redhat.com> 10-2
- add licenses

* Tue Feb 26 2013 Patrick Huang <pahuang@redhat.com> 10-1
- upstream upgrade to version 10

* Fri Feb 8 2013 Patrick Huang <pahuang@redhat.com> 9-1
- Initial RPM package
